Instance

Job

Jobs are long-running tasks enqueued and processed by the instance itself. No additional worker registration is currently available.

Pause job queue

POST
https://peertube2.cpy.re/api/v1/jobs/pause

Body

application/json
processRolesArray<string>primarysecondary

Roles of the PeerTube processes that must pause their job queue. Defaults to all the roles. Other processes are notified asynchronously.

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin

Resume job queue

POST
https://peertube2.cpy.re/api/v1/jobs/resume

Body

application/json
processRolesArray<string>primarysecondary

Roles of the PeerTube processes that must resume their job queue. Defaults to all the roles. Other processes are notified asynchronously.

Response

204No Content

successful operation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin

List instance jobs

GET
https://peertube2.cpy.re/api/v1/jobs/{state}

Parameters

statestringactivecompletedfailedwaitingdelayedrequiredpath

The state of the job ('' for for no filter)

jobTypeJobTypeactivitypub-cleaneractivitypub-followactivitypub-http-broadcastactivitypub-http-broadcast-parallelactivitypub-http-fetcheractivitypub-http-unicastactivitypub-refresheractor-keysafter-video-channel-importbuild-automatic-tagsbuild-object-automatic-tagscreate-user-exportemailfederate-videogenerate-video-storyboardimport-user-archivemanage-video-torrentmove-to-file-systemmove-to-object-storagenotifytranscoding-job-buildervideo-channel-importvideo-file-importvideo-files-lifecyclevideo-importvideo-live-endingvideo-redundancyvideo-studio-editionvideo-transcodingvideo-transcriptionvideos-statsquery

job type

startinteger>= 0query

Offset used to paginate results

countinteger[1, 100]15query

Number of items to return

sortstringquery

Sort column

Response

200OKobject

successful operation

Response fields application/json
totalinteger
Example
1
Show child attributes
idid>= 1
Example
42
statestringactivecompletedfailedwaitingdelayed
typeJobTypeactivitypub-cleaneractivitypub-followactivitypub-http-broadcastactivitypub-http-broadcast-parallelactivitypub-http-fetcheractivitypub-http-unicastactivitypub-refresheractor-keysafter-video-channel-importbuild-automatic-tagsbuild-object-automatic-tagscreate-user-exportemailfederate-videogenerate-video-storyboardimport-user-archivemanage-video-torrentmove-to-file-systemmove-to-object-storagenotifytranscoding-job-buildervideo-channel-importvideo-file-importvideo-files-lifecyclevideo-importvideo-live-endingvideo-redundancyvideo-studio-editionvideo-transcodingvideo-transcriptionvideos-stats
dataobject
errorobject
createdAtstring<date-time>
finishedOnstring<date-time>
processedOnstring<date-time>
canCancelboolean

Whether this job is currently running and supports cancellation

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin

Cancel a job

POST
https://peertube2.cpy.re/api/v1/jobs/{jobType}/{jobId}/cancel

Abort a running job and its underlying ffmpeg/child process. Only active jobs that support cancellation can be cancelled.

Parameters

jobTypeJobTypeactivitypub-cleaneractivitypub-followactivitypub-http-broadcastactivitypub-http-broadcast-parallelactivitypub-http-fetcheractivitypub-http-unicastactivitypub-refresheractor-keysafter-video-channel-importbuild-automatic-tagsbuild-object-automatic-tagscreate-user-exportemailfederate-videogenerate-video-storyboardimport-user-archivemanage-video-torrentmove-to-file-systemmove-to-object-storagenotifytranscoding-job-buildervideo-channel-importvideo-file-importvideo-files-lifecyclevideo-importvideo-live-endingvideo-redundancyvideo-studio-editionvideo-transcodingvideo-transcriptionvideos-statsrequiredpath

The type of the job to cancel

jobIdstringrequiredpath

The id of the job to cancel

Response

204No Content

successful operation

404Not Found

job not found

409Conflict

job cannot be cancelled (not active or not cancellable)

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin